=== src/plugins/PlayListFormats/CMakeLists.txt ===
add_subdirectory(m3u)
add_subdirectory(pls)
add_subdirectory(xspf)
