=== debian/changelog ===
qmmp (2.3.0-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.3.0

  [ Matteo Cypriani ]
  * d/control: Updated dependencies & description
  * d/copyright: Removed refs to non-existent files
  * d/control: Dropped redundant Rules-Requires-Root
  * d/watch: Switched to format version 5

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 25 Oct 2025 15:56:00 +0200
