=== debian/watch ===
Version: 5
Source: https://qmmp.ylsoftware.com/files/@PACKAGE@/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
