## qmmp 2.3.1

=== debian/changelog ===
qmmp (2.3.1-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 19 Feb 2026 08:28:36 -0800

qmmp (2.3.1-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.3.1

  [ Matteo Cypriani ]
  * d/control: Bump Standards-Version to 4.7.3
    + Dropped now optional Priority field
  * d/copyright: Bump debian/* to 2026

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 17 Jan 2026 17:09:29 +0100
