=== debian/control ===
--- 
+++ 
@@ -1,50 +1,51 @@
 Source: qmmp
 Section: sound
 Priority: optional
-Maintainer: Matteo Cypriani <mcy@lm7.fr>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
 Uploaders: Harald Dunkel <harri@afaics.de>
 Build-Depends: debhelper-compat (= 13),
-  cmake,
-  libarchive-dev,
-  libasound2-dev [linux-any],
-  libavcodec-dev,
-  libavformat-dev,
-  libbs2b-dev,
-  libcddb2-dev,
-  libcdio-dev,
-  libcdio-paranoia-dev,
-  libcurl4-gnutls-dev,
-  libenca-dev,
-  libfaad-dev,
-  libflac-dev,
-  libgme-dev,
-  libjack-jackd2-dev,
-  libmad0-dev,
-  libmpcdec-dev,
-  libogg-dev,
-  libopus-dev,
-  libopusfile-dev,
-  liboss4-salsa-dev [!linux-any],
-  libpipewire-0.3-dev,
-  libprojectm-dev [!armel !armhf !hurd-any],
-  libpulse-dev,
-  libqt6opengl6-dev,
-  librcd-dev,
-  libshout-dev,
-  libsidplayfp-dev,
-  libsndfile1-dev,
-  libsoxr-dev,
-  libtag-dev,
-  libvorbis-dev,
-  libwavpack-dev,
-  libwildmidi-dev,
-  libx11-dev,
-  libxmp-dev,
-  pkgconf,
-  qt6-base-dev,
-  qt6-multimedia-dev,
-  qt6-tools-dev,
-Standards-Version: 4.7.2
+               cmake,
+               libarchive-dev,
+               libasound2-dev [linux-any],
+               libavcodec-dev,
+               libavformat-dev,
+               libbs2b-dev,
+               libcddb2-dev,
+               libcdio-dev,
+               libcdio-paranoia-dev,
+               libcurl4-gnutls-dev,
+               libenca-dev,
+               libfaad-dev,
+               libflac-dev,
+               libgme-dev,
+               libjack-jackd2-dev,
+               libmad0-dev,
+               libmpcdec-dev,
+               libogg-dev,
+               libopus-dev,
+               libopusfile-dev,
+               liboss4-salsa-dev [!linux-any],
+               libpipewire-0.3-dev,
+               libprojectm-dev [!armel !armhf !hurd-any],
+               libpulse-dev,
+               libqt6opengl6-dev,
+               librcd-dev,
+               libshout-dev,
+               libsidplayfp-dev,
+               libsndfile1-dev,
+               libsoxr-dev,
+               libtag-dev,
+               libvorbis-dev,
+               libwavpack-dev,
+               libwildmidi-dev,
+               libx11-dev,
+               libxmp-dev,
+               pkgconf,
+               qt6-base-dev,
+               qt6-multimedia-dev,
+               qt6-tools-dev
+Standards-Version: 4.7.3
 Homepage: https://qmmp.ylsoftware.com/
 Vcs-Git: https://salsa.debian.org/debian/qmmp.git
 Vcs-Browser: https://salsa.debian.org/debian/qmmp
@@ -52,10 +53,10 @@
 Package: qmmp
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: qmmp-plugin-projectm, ffmpeg, unzip, udisks2 [linux-any]
+Suggests: ffmpeg, qmmp-plugin-projectm, udisks2 [linux-any], unzip
 Recommends: freepats
-Replaces: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
-Breaks: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
+Replaces: libqmmp-misc (<< 0.8), libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8)
+Breaks: libqmmp-misc (<< 0.8), libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8)
 Description: feature-rich audio player with support of many formats
  Qmmp is feature-rich audio player with support of many formats.
  It is written in Qt.
@@ -124,8 +125,8 @@
   - media library
 
 Package: qmmp-plugin-projectm
-Architecture: any-amd64 any-arm64 i386 any-mips64el any-mipsel any-ppc64el any-s390x any-alpha any-hppa any-ia64 kfreebsd-any any-m68k any-powerpc any-ppc64 any-riscv64 any-sh4 any-sparc64 any-x32
-Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-dejavu-core
+Architecture: any-alpha any-amd64 any-arm64 any-hppa any-ia64 any-m68k any-mips64el any-mipsel any-powerpc any-ppc64 any-ppc64el any-riscv64 any-s390x any-sh4 any-sparc64 any-x32 kfreebsd-any i386
+Depends: fonts-dejavu-core, ${misc:Depends}, ${shlibs:Depends}
 Description: qmmp audio player -- projectM visualization plugin
  Qmmp is feature-rich audio player with support of many formats.
  It is written in Qt.
